Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022119
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2012-10-26 10:032012-11-27 11:19
ReporteriperdomoView Statuspublic 
Assigned Toshankarb 
PriorityurgentResolutionfixedFixed in Version3.0MP18
StatusclosedFix in branchpiFixed in SCM revisionead23f919c59
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava versionOpenJDK 1.6.0_24
OS Version3.5.4-1-ARCHDatabase version9.2.1Ant version1.8.2
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022119: convertToClassicString in TimeUIDefinition is not in sync with the UTC normalization logic

DescriptionThe TimeUIDefinition class has some normalization logic to convert times to UTC back and forth.

The converToClassicString doesn't have this logic.
Steps To ReproduceMake a FIC request to a tab/record that has a time field, e.g.
* Login as System Administrator
* Make a GET request:
http://localhost:8080/openbravo/org.openbravo.client.kernel?MODE=EDIT&PARENT_ID=null&TAB_ID=CD573DF1E351485EA2B2DE487DCACA6F&ROW_ID=5C13C452732D414A8419BB2C5F8FCE39&_action=org.openbravo.client.application.window.FormInitializationComponent [^]
* See the log
Proposed Solution* converToClassicString must have the same normalization to UTC time
TagsNo tags attached.
Attached Filesdiff file icon FixIssue22119.diff [^] (3,936 bytes) 2012-11-09 09:26 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0054232)
hgbot (developer)
2012-11-14 14:38

Repository: erp/devel/pi
Changeset: ead23f919c59e97b82c9a678c44258dfe3920497
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Wed Nov 14 14:36:31 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ead23f919c59e97b82c9a678c44258dfe3920497 [^]

Fixes Issue 0022119: Implemented convertToClassicString in TimeUIDefinition.

Implemented defined method convertToClassicString and refactored code to reuse time normalization logic.

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/TimeUIDefinition.java
---
(0054352)
dbaz (developer)
2012-11-20 20:31

Reopened to modify the field "Review Assigned To"
(0054383)
hudsonbot (developer)
2012-11-21 06:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c3c5e61b0164 [^]

Maturity status: Test
(0054518)
AugustoMauch (developer)
2012-11-27 11:19

Code reviewed and verified in pi@b43e48d603a9

- Issue History
Date Modified Username Field Change
2012-10-26 10:03 iperdomo New Issue
2012-10-26 10:03 iperdomo Assigned To => AugustoMauch
2012-10-26 10:03 iperdomo Web browser => Google Chrome
2012-10-26 10:03 iperdomo Modules => Core
2012-10-29 17:49 AugustoMauch Assigned To AugustoMauch => shankarb
2012-11-09 09:26 shankarb File Added: FixIssue22119.diff
2012-11-14 14:37 shankarb Review Assigned To => dbaz
2012-11-14 14:37 shankarb Web browser Google Chrome => Google Chrome
2012-11-14 14:37 shankarb Issue Monitored: dbaz
2012-11-14 14:38 hgbot Checkin
2012-11-14 14:38 hgbot Note Added: 0054232
2012-11-14 14:38 hgbot Status new => resolved
2012-11-14 14:38 hgbot Resolution open => fixed
2012-11-14 14:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ead23f919c59e97b82c9a678c44258dfe3920497 [^]
2012-11-20 20:31 dbaz Note Added: 0054352
2012-11-20 20:31 dbaz Status resolved => new
2012-11-20 20:31 dbaz Resolution fixed => open
2012-11-20 20:31 dbaz Review Assigned To dbaz => AugustoMauch
2012-11-20 20:31 dbaz Web browser Google Chrome => Google Chrome
2012-11-20 20:32 dbaz Issue End Monitor: dbaz
2012-11-20 20:32 dbaz Issue Monitored: AugustoMauch
2012-11-20 20:32 dbaz Status new => scheduled
2012-11-20 20:32 dbaz fix_in_branch => pi
2012-11-20 20:32 dbaz Status scheduled => resolved
2012-11-20 20:32 dbaz Resolution open => fixed
2012-11-21 06:06 hudsonbot Checkin
2012-11-21 06:06 hudsonbot Note Added: 0054383
2012-11-27 11:19 AugustoMauch Note Added: 0054518
2012-11-27 11:19 AugustoMauch Status resolved => closed
2012-11-27 11:19 AugustoMauch Fixed in Version => 3.0MP18


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker